Sign in with a social provider
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-in/social \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/auth/sign-in/social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-in/social"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"redirect": true,
"token": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"url": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Sign in with a social provider
Sign in with a social provider
POST
/
api
/
auth
/
sign-in
/
social
Sign in with a social provider
curl --request POST \
--url https://aquila.attaxr.com/api/auth/sign-in/social \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/auth/sign-in/social', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/sign-in/social"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"redirect": true,
"token": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"url": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Body
application/json
Available options:
apple, atlassian, cognito, discord, facebook, figma, github, microsoft, google, huggingface, slack, spotify, twitch, twitter, dropbox, kick, linear, linkedin, gitlab, tiktok, reddit, roblox, salesforce, vk, zoom, notion, kakao, naver, line, paybin, paypal, polar, railway, vercel, wechat Callback URL to redirect to after the user has signed in
Callback URL to redirect to if an error happens
Disable automatic redirection to the provider. Useful for handling the redirection yourself
Show child attributes
Show child attributes
Array of scopes to request from the provider. This will override the default scopes passed.
Explicitly request sign-up. Useful when disableImplicitSignUp is true for this provider
The login hint to use for the authorization code request
Show child attributes
Show child attributes

